UnicodeUnpairedSurrogateRemover (Apache Commons Lang 3.17.0 API)
Description: declaration: package: org.apache.commons.lang3.text.translate, class: UnicodeUnpairedSurrogateRemover

Package org.apache.commons.lang3.text.translate

# Class UnicodeUnpairedSurrogateRemover

java.lang.Object
org.apache.commons.lang3.text.translate.CharSequenceTranslator
org.apache.commons.lang3.text.translate.CodePointTranslator
org.apache.commons.lang3.text.translate.UnicodeUnpairedSurrogateRemover

@Deprecated public class UnicodeUnpairedSurrogateRemover extends CodePointTranslator
Deprecated.
As of 3.6, use Apache Commons Text UnicodeUnpairedSurrogateRemover instead
Helper subclass to CharSequenceTranslator to remove unpaired surrogates.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnicodeUnpairedSurrogateRemover()`
  Deprecated.
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `translate(int codePoint, Writer out)`
  Deprecated.
  Implements translate that throws out unpaired surrogates.

  ### Methods inherited from class org.apache.commons.lang3.text.translate.CodePointTranslator

  `translate`

  ### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

  `hex, translate, translate, with`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnicodeUnpairedSurrogateRemover

    public UnicodeUnpairedSurrogateRemover()
    Deprecated.
    Constructs a new instance.

- ## Method Details

  - ### translate

    public boolean translate(int codePoint, Writer out) throws IOException
    Deprecated.
    Implements translate that throws out unpaired surrogates. Translate the specified code point into another.
    Specified by:
      `translate` in class `CodePointTranslator`
    Parameters:
      `codePoint` - int character input to translate
      `out` - Writer to optionally push the translated output to
    Returns:
      boolean as to whether translation occurred or not
    Throws:
      `IOException` - if and only if the Writer produces an IOException